﻿// WPF 实现屏幕文字提示 示例代码
// http://snowdream.cnblogs.com/

using System.Windows;
using System.Windows.Input;
using System.Windows.Media;

namespace Snowdream.Demo.WpfScreenTip
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        /// <summary>
        /// 鼠标移入处理方法
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Window_MouseEnter(object sender, MouseEventArgs e)
        {
            Brush brush = new SolidColorBrush(Color.FromArgb(0x78,0xFF,0xFF,0xFF));  // 创建一个纯色brush
            grid.Background = brush;  // 应用于grid
        }

        /// <summary>
        /// 鼠标移出处理方法
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Window_MouseLeave(object sender, MouseEventArgs e)
        {
            Brush brush = new SolidColorBrush(Color.FromArgb(0x52, 0xFF, 0xFF, 0xFF));  // 创建一个纯色brush
            grid.Background = brush;  // 应用于grid
        }

        /// <summary>
        /// 鼠标按下处理方法
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Window_MouseDown(object sender, MouseButtonEventArgs e)
        {
            mainWindow.Close();  // 或者使用mainWindow.Hide()隐藏窗口
        }

        
    }
}
